[**@rxap/upload**](../README.md)

***

[@rxap/upload](../globals.md) / ReadAsDataURLPipe

# Class: ReadAsDataURLPipe

Defined in: [upload-button/read-as-data-url.pipe.ts:15](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/upload-button/read-as-data-url.pipe.ts#L15)

## Implements

- `PipeTransform`

## Constructors

### new ReadAsDataURLPipe()

> **new ReadAsDataURLPipe**(): [`ReadAsDataURLPipe`](ReadAsDataURLPipe.md)

#### Returns

[`ReadAsDataURLPipe`](ReadAsDataURLPipe.md)

## Methods

### transform()

> **transform**(`file`): `Promise`\<`null` \| `string`\>

Defined in: [upload-button/read-as-data-url.pipe.ts:17](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/upload-button/read-as-data-url.pipe.ts#L17)

#### Parameters

##### file

`null` | `File` | `Blob`

#### Returns

`Promise`\<`null` \| `string`\>

#### Implementation of

`PipeTransform.transform`
